# DaprProtos.PubsubSubscriptionRuleOrBuilder (dapr-sdk-parent 1.10.0 API)

Package io.dapr.v1

## Interface DaprProtos.PubsubSubscriptionRuleOrBuilder

All Superinterfaces:
  `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`

All Known Implementing Classes:
  `DaprProtos.PubsubSubscriptionRule`, `DaprProtos.PubsubSubscriptionRule.Builder`

Enclosing class:
  DaprProtos

    public static interface DaprProtos.PubsubSubscriptionRuleOrBuilder
    extends com.google.protobuf.MessageOrBuilder

### Method Summary

All Methods Instance Methods Abstract Methods
`String` `getMatch()` `string match = 1;`
`com.google.protobuf.ByteString` `getMatchBytes()` `string match = 1;`
`String` `getPath()` `string path = 2;`
`com.google.protobuf.ByteString` `getPathBytes()` `string path = 2;`

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

### Method Detail

#### getMatch

    String getMatch()

`string match = 1;`

Returns:
  The match.

#### getMatchBytes

    com.google.protobuf.ByteString getMatchBytes()

`string match = 1;`

Returns:
  The bytes for match.

#### getPath

    String getPath()

`string path = 2;`

Returns:
  The path.

#### getPathBytes

    com.google.protobuf.ByteString getPathBytes()

`string path = 2;`

Returns:
  The bytes for path.